
From: Bjorn Helgaas <bjorn.helgaas@hp.com>

This is only used by the ia64 early_printk patch, which isn't in the
mainline tree.  If anybody is still using that patch, hcdp_early_uart()
should be incorporated into it.

Signed-off-by: Bjorn Helgaas <bjorn.helgaas@hp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/firmware/pcdp.c |   41 ----------------------------------------
 1 files changed, 41 deletions(-)

diff -puN drivers/firmware/pcdp.c~ia64-remove-hcdp-support-for-early-printk drivers/firmware/pcdp.c
--- 25/drivers/firmware/pcdp.c~ia64-remove-hcdp-support-for-early-printk	2004-12-03 10:37:03.917302880 -0800
+++ 25-akpm/drivers/firmware/pcdp.c	2004-12-03 10:37:03.920302424 -0800
@@ -98,44 +98,3 @@ efi_setup_pcdp_console(char *cmdline)
 
 	return -ENODEV;
 }
-
-#ifdef CONFIG_IA64_EARLY_PRINTK_UART
-unsigned long
-hcdp_early_uart (void)
-{
-	efi_system_table_t *systab;
-	efi_config_table_t *config_tables;
-	unsigned long addr = 0;
-	struct pcdp *pcdp = 0;
-	struct pcdp_uart *uart;
-	int i;
-
-	systab = (efi_system_table_t *) ia64_boot_param->efi_systab;
-	if (!systab)
-		return 0;
-	systab = __va(systab);
-
-	config_tables = (efi_config_table_t *) systab->tables;
-	if (!config_tables)
-		return 0;
-	config_tables = __va(config_tables);
-
-	for (i = 0; i < systab->nr_tables; i++) {
-		if (efi_guidcmp(config_tables[i].guid, HCDP_TABLE_GUID) == 0) {
-			pcdp = (struct pcdp *) config_tables[i].table;
-			break;
-		}
-	}
-	if (!pcdp)
-		return 0;
-	pcdp = __va(pcdp);
-
-	for (i = 0, uart = pcdp->uart; i < pcdp->num_uarts; i++, uart++) {
-		if (uart->type == PCDP_CONSOLE_UART) {
-			addr = uart->addr.address;
-			break;
-		}
-	}
-	return addr;
-}
-#endif /* CONFIG_IA64_EARLY_PRINTK_UART */
_
